
Figure - Bug #118491
【IOVDEV-32351】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【控制中心】副屏在与蓝牙耳机
连接过程中播放QQ音乐，偶现在蓝牙耳机断开连接后，音乐暂停但控制中心显示还在播放中
2023-06-03 14:57 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-03

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.c102����【副屏版本号】：01.00.0100.c103

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230602 13：13

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.点击打开副屏蓝牙

2点击打开蓝牙耳机设备.

3.播放QQ音乐在线音乐

4.把蓝牙耳机直接放入耳机盒子里

【实际结果】

1.QQ音乐进度条暂停，但控制中心里的暂停键仍显示为播放键

【期望结果】

1.音乐正常停止，控制中心显示为暂停状态

【备注】：

偶现问题 10次大概1次

第217次开机

开机时长：2：08

蓝牙设备型号：安卓蓝牙耳机

日志、视频地址：https://ofs.human-horizons.com/#/download/index/AUNAToz26Nc%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0086.c102

【副屏版本号】：01.00.0100.c103

Related issues:

Related to Figure - Bug # 118820: 【VC1】【0110】【实车】【EE环境】【副... CLOSED 2023-06-16

History

#1 - 2023-06-03 14:59 - CDTS_Test 吴诗雨
#2 - 2023-06-05 16:53 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-06-16 15:00 - CD FW-廖涛

从复现的日志看，音乐控制中心收到的 MediaData 数据，最后两次数据，倒数第 2 次是 播放 按钮，最后 1 次是 暂停 按钮，因此最终展示的是 暂停 按钮

，符合现象。需要进一步分析该顺序是否由 QQ 音乐发出，如果是，该问题需要 QQ 音乐处理，如果 QQ 音乐发送的顺序正常，就需要看系统处理通知

消息的时序问题。

06-16 14:15:20.894 17882 17882 D Laban1  : MediaData: [MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bc0),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@44b96bc, contentDescription=收藏),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bc4),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@d84a645, contentDescription=上一首),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bc3),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@a82019a, contentDescription=播放),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bbe),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@cf3cacb, contentDescription=下一首),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bb8),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@f9962a8, contentDescription=显示桌面歌词)]

06-16 14:15:20.908 17882 17882 D Laban1  : MediaData: [MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bc0),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@f3729f2, contentDescription=收藏),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bc4),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@c70c843, contentDescription=上一首),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bc2),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@fdbdec0, contentDescription=暂停),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bbe),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@6fc87f9, contentDescription=下一首),

MediaAction(icon=Icon(typ=RESOURCE pkg=com.tencent.qqmusic id=0x7f080bb8),

action=com.android.systemui.media.MediaDataManager$loadMediaDataInBg$runnable$1@e89f33e, contentDescription=显示桌面歌词)]

#4 - 2023-07-11 19:11 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

麻烦在 JIRA 上跟踪。

#5 - 2023-07-24 18:16 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

7.24

确认为三方应用问题

#6 - 2023-07-24 18:16 - CD TEST-方永红
- Status changed from RESOLVED to VERIFIED

#7 - 2023-07-24 18:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

飞书20230603-143506.mp4 26.2 MB 2023-06-03 CDTS_Test 吴诗雨
